r8315 - trunk/BOOK/x/lib

randy at linuxfromscratch.org randy at linuxfromscratch.org
Sun Mar 7 12:47:43 PST 2010


Author: randy
Date: 2010-03-07 13:47:42 -0700 (Sun, 07 Mar 2010)
New Revision: 8315

Modified:
   trunk/BOOK/x/lib/gtk+2.xml
Log:
Updated the GTK+ instructions to move Jasper to an optional instead of recommended dependency, per upstream changes and recommendations

Modified: trunk/BOOK/x/lib/gtk+2.xml
===================================================================
--- trunk/BOOK/x/lib/gtk+2.xml	2010-03-07 20:31:59 UTC (rev 8314)
+++ trunk/BOOK/x/lib/gtk+2.xml	2010-03-07 20:47:42 UTC (rev 8315)
@@ -64,20 +64,20 @@
 
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended"><xref linkend="libtiff"/>,
-    <xref linkend="jasper"/>,
     <xref linkend="libjpeg"/>, and
     <xref linkend="hicolor-icon-theme"/></para>
 
     <!-- hicolor-icon-theme is required for the test suite -->
 
-    <para>Though not required, the <application>GTK+</application> developers expect
-    <application>libtiff</application>, <application>libjasper</application>
-    and <application>libjpeg</application> to be installed. Other packages also
+    <para>Though not required, the <application>GTK+</application> developers
+    expect <application>libtiff</application>, and
+    <application>libjpeg</application> to be installed. Other packages also
     expect <application>GTK+</application>-2 to be built with support for these
     graphics packages as well.</para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional"><xref linkend="cups"/>,
+    <xref linkend="jasper"/>,
     <xref linkend="docbook-utils"/>,
     <ulink url="http://beagle-project.org/Main_Page">libbeagle</ulink>,
     <xref linkend="gtk-doc"/>, and
@@ -131,8 +131,8 @@
     <para><option>--without-libjpeg</option>: Use this switch if you
     don't have <application>libjpeg</application> installed.</para>
 
-    <para><option>--without-libjasper</option>: Use this switch if you
-    don't have <application>libjasper</application> installed.</para>
+    <para><option>--with-libjasper</option>: Use this option if you
+    have <application>libjasper</application> installed.</para>
 
     <para><parameter>--disable-static</parameter>: This switch prevents the
     static libraries from being built.</para>




More information about the blfs-book mailing list